[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'TypInfo' (#rtl)

# GetTypeData

Return a pointer to type data, based on type information.

## Declaration

Source position: typinfo.pp line 748

`function GetTypeData(`
`TypeInfo: PTypeInfo`
`):PTypeData;`

## Description

GetTypeData returns a pointer to the TTypeData record that follows after the TTypeInfo record pointed to by TypeInfo. It essentially skips the Kind and Name fields in the TTypeInfo record.

## Errors

None.